org.licas.call.thread

## Class InvokeThread

- java.lang.Object
- - java.lang.Thread
  - - org.licas.call.thread.InvokeThread

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    InvokeAutoMethod, InvokeMethod

      public abstract class InvokeThread
      extends java.lang.Thread

  Runs a single invocation on a separate thread. This can be executed anywhere under any conditions, and uses a `CallObject` to execute the `MethodInfo` method. This can include local or remote types of execution, for example.
  Author:
    Kieran Greer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `finished` True if finished.
    `protected java.lang.Object` | `result` Result of executing the method

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvokeThread()` Create a new instance of InvokeThread.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getResult()` Get the method invocation result.
    `boolean` | `isFinished()` True if the execution process has finished.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### finished

          protected boolean finished

      True if finished.

    - #### result

          protected java.lang.Object result

      Result of executing the method

  - ### Constructor Detail

    - #### InvokeThread

          public InvokeThread()

      Create a new instance of InvokeThread.

  - ### Method Detail

    - #### isFinished

          public boolean isFinished()

      True if the execution process has finished.
      Returns:
        the value of finished.

    - #### getResult

          public java.lang.Object getResult()

      Get the method invocation result.
      Returns:
        the value of result. Can also be null if not completed, or the exception if one is thrown, for example.